Platform support update: dropping SL4 and WP7.x

When developing Catel, we always try to keep as much platforms supported as possible. At the time of the Catel 3.7 release, the following platforms were supported:

  • NET40
  • NET45
  • Silverlight 4
  • Silverlight 5
  • Windows Phone 7.x
  • Windows Phone 8
  • WinRT 8.0
  • Portable Class Libraries

Starting with Catel 3.8, the following platforms will be dropped:

  • Silverlight 4
  • Windows Phone 7.x

The following new platform will be supported in the new version:

  • WinRT 8.1

Recently Microsoft has officially stopped supporting Silverlight 4. They will maintain Silverlight 5 until 2021 (source). This means that Catel will no longer support Silverlight 4 starting with Catel 3.8. In a recent poll we noted that a very limited group of Catel developers are using Windows Phone 7.x. Because Windows Phone 7.x has lots of limitations (which Windows Phone 8 no longer has), we decided to drop support for that platform as well. The Catel team has limited resources and we try to maintain the most users to give them the best software instead of having to spend a lot of time on a platform that is rarely used.

If you need platform support for Silverlight 4 or Windows Phone 7.x, the following options are available:

  • Stick on Catel 3.7 for the outdated platforms. Catel 3.7 was the latest release that fully supported both Silverlight 4 and Windows Phone 7.x
  • Check out the latest source and maintain the projects yourself